## Functions

### gst_video_convert_sample

    GstSample *
    gst_video_convert_sample (GstSample * sample,
                              const GstCaps * to_caps,
                              GstClockTime timeout,
                              GError ** error)

Converts a raw video buffer into the specified output caps.

The output caps can be any raw video formats or any image formats (jpeg, png, ...).

The width, height and pixel-aspect-ratio can also be specified in the output caps.

Parameters:

`sample` –

a GstSample

`to_caps` –

the GstCaps to convert to

`timeout` –

the maximum amount of time allowed for the processing.

`error` –

pointer to a GError. Can be NULL.

Returns ( [nullable][transfer: full]) –

The converted GstSample, or NULL if an error happened (in which case err will point to the GError).

### GstVideo.prototype.video_convert_sample

    function GstVideo.prototype.video_convert_sample(sample: Gst.Sample, to_caps: Gst.Caps, timeout: Number): {
        // javascript wrapper for 'gst_video_convert_sample'
    }

Converts a raw video buffer into the specified output caps.

The output caps can be any raw video formats or any image formats (jpeg, png, ...).

The width, height and pixel-aspect-ratio can also be specified in the output caps.

Parameters:

`sample` (Gst.Sample) –

a Gst.Sample

`to_caps` (Gst.Caps) –

the Gst.Caps to convert to

`timeout` (Number) –

the maximum amount of time allowed for the processing.

Returns (Gst.Sample) –

The converted Gst.Sample, or null if an error happened (in which case err will point to the GError (not introspectable)).

### GstVideo.video_convert_sample

    @raises(GLib.GError)
    def GstVideo.video_convert_sample (sample, to_caps, timeout):
        #python wrapper for 'gst_video_convert_sample'

Converts a raw video buffer into the specified output caps.

The output caps can be any raw video formats or any image formats (jpeg, png, ...).

The width, height and pixel-aspect-ratio can also be specified in the output caps.

Parameters:

`sample` (Gst.Sample) –

a Gst.Sample

`to_caps` (Gst.Caps) –

the Gst.Caps to convert to

`timeout` (int) –

the maximum amount of time allowed for the processing.

Returns (Gst.Sample) –

The converted Gst.Sample, or None if an error happened (in which case err will point to the GError (not introspectable)).

### gst_video_convert_sample_async

    gst_video_convert_sample_async (GstSample * sample,
                                    const GstCaps * to_caps,
                                    GstClockTime timeout,
                                    GstVideoConvertSampleCallback callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy_notify)

Converts a raw video buffer into the specified output caps.

The output caps can be any raw video formats or any image formats (jpeg, png, ...).

The width, height and pixel-aspect-ratio can also be specified in the output caps.

callback will be called after conversion, when an error occurred or if conversion didn't finish after timeout. callback will always be called from the thread default GMainContext, see g_main_context_get_thread_default. If GLib before 2.22 is used, this will always be the global default main context.

destroy_notify will be called after the callback was called and user_data is not needed anymore.

Parameters:

`sample` –

a GstSample

`to_caps` –

the GstCaps to convert to

`timeout` –

the maximum amount of time allowed for the processing.

`callback` –

GstVideoConvertSampleCallback that will be called after conversion.

`user_data` –

extra data that will be passed to the callback

`destroy_notify` –

GDestroyNotify to be called after user_data is not needed anymore

### GstVideo.prototype.video_convert_sample_async

    function GstVideo.prototype.video_convert_sample_async(sample: Gst.Sample, to_caps: Gst.Caps, timeout: Number, callback: GstVideo.VideoConvertSampleCallback, user_data: Object): {
        // javascript wrapper for 'gst_video_convert_sample_async'
    }

Converts a raw video buffer into the specified output caps.

The output caps can be any raw video formats or any image formats (jpeg, png, ...).

The width, height and pixel-aspect-ratio can also be specified in the output caps.

callback will be called after conversion, when an error occurred or if conversion didn't finish after timeout. callback will always be called from the thread default GMainContext (not introspectable), see GLib.prototype.main_context_get_thread_default. If GLib before 2.22 is used, this will always be the global default main context.

destroy_notify will be called after the callback was called and user_data is not needed anymore.

Parameters:

`sample` (Gst.Sample) –

a Gst.Sample

`to_caps` (Gst.Caps) –

the Gst.Caps to convert to

`timeout` (Number) –

the maximum amount of time allowed for the processing.

`callback` (GstVideo.VideoConvertSampleCallback) –

GstVideo.VideoConvertSampleCallback that will be called after conversion.

`user_data` (Object) –

extra data that will be passed to the callback

### GstVideo.video_convert_sample_async

    def GstVideo.video_convert_sample_async (sample, to_caps, timeout, callback, *user_data):
        #python wrapper for 'gst_video_convert_sample_async'

Converts a raw video buffer into the specified output caps.

The output caps can be any raw video formats or any image formats (jpeg, png, ...).

The width, height and pixel-aspect-ratio can also be specified in the output caps.

callback will be called after conversion, when an error occurred or if conversion didn't finish after timeout. callback will always be called from the thread default GMainContext (not introspectable), see GLib.main_context_get_thread_default. If GLib before 2.22 is used, this will always be the global default main context.

destroy_notify will be called after the callback was called and user_data is not needed anymore.

Parameters:

`sample` (Gst.Sample) –

a Gst.Sample

`to_caps` (Gst.Caps) –

the Gst.Caps to convert to

`timeout` (int) –

the maximum amount of time allowed for the processing.

`callback` (GstVideo.VideoConvertSampleCallback) –

GstVideo.VideoConvertSampleCallback that will be called after conversion.

`user_data` (variadic) –

extra data that will be passed to the callback

The results of the search are